#!/usr/bin/python
# -*- coding: utf-8 -*-
#"""
#KOPR 1.0
#"""

import alb3
import koprfunc

print(alb3.jday(1992,8,25,12))

from astropy.io import fits
from astropy.wcs import WCS
from astropy.coordinates import SkyCoord
from astropy.utils.data import get_pkg_data_filename

fn = './test-images/29P-2017-08-28-comet.fits'
f = fits.open(fn)
w = f[0].header
f.close()

ra, de = koprfunc.PixToWorld(w, 50, 11)
print('pixtoworld ', ra, de)
print(type(float(ra)) )

x, y = koprfunc.WorldtoPix(w, ra, de )
print('worldtopix ', x, y)
print(type(x) )
print(type(float(x)) )

